# PetscDrawSPSetDimension

Change the number of sets of points that are to be drawn.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscDrawSPSetDimension(PetscDrawSP sp,int dim)

Not Collective (ignored on all processors except processor 0 of PetscDrawSP)

### Input Parameter

| sp | - the line graph context.
| dim | - the number of curves.

Level:intermediate
Location: src/sys/draw/utils/dscatter.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages